[Frugalware-darcs] setup-current: 0.2.4

VMiklos mamajom at axelero.hu
Thu Mar 16 18:04:01 CET 2006


[0.2.4
VMiklos <mamajom at axelero.hu>**20050401231756] {
addfile ./de.conf
hunk ./de.conf 1
+export LANG=de_DE
+export LC_ALL=$LANG
+export CHARSET=iso-8859-1
addfile ./en.conf
hunk ./en.conf 1
+export LANG=en_US
+export LC_ALL=$LANG
+export CHARSET=iso-8859-1
addfile ./hu.conf
hunk ./hu.conf 1
+export LANG=hu_HU
+export LC_ALL=$LANG
+export CHARSET=iso-8859-2
addfile ./inittab
hunk ./inittab 1
+# /etc/inittab for frugalware setup
+# Boot-time system configuration/initialization script.
+# This is run first except when booting in single-user mode.
+::sysinit:/etc/rc.d/rc.S
+
+# Login /bin/sh invocations on selected ttys.
+#
+# Start the setup on the console
+::respawn:-/bin/setup
+# Start an "askfirst" shell on tty2 and tty3
+tty2::askfirst:-/bin/sh
+tty3::askfirst:-/bin/sh
+
+# Reboot when ctrl-alt-del keys are pressed. 
+::ctrlaltdel:/sbin/reboot 
+
+# Stuff to do before halting or rebooting.
+::shutdown:/sbin/swapoff -a >/dev/null 2>&1 
+::shutdown:/bin/umount -a -r >/dev/null 2>&1 
addfile ./it.conf
hunk ./it.conf 1
+export LANG=it_IT
+export LC_ALL=$LANG
+export CHARSET=iso-8859-1
addfile ./rc.S
hunk ./rc.S 1
+#!/bin/bash
+
+clear
+/etc/rc.d/rc.udev
+mount -t ramfs none /tmp
+cat /proc/mounts >/etc/mtab
+modprobe iso9660
+# lang&keyb
+
+# vim: ft=sh
hunk ./setup 3
-. setup.en
-
hunk ./setup 4
+. setup.en
+osver=`cat /etc/frugalware-release |cut -d ' ' -f 2`
hunk ./setup 11
-### strings 
+### before strings
+function ask_lang()
+{
+	langbacktitle="$sellang - Frugalware $osver $setup"
+	langf=`mktemp /tmp/tmp.XXXXXX`
+	dialog --backtitle "$langbacktitle" --title "$sellangt" \
+		--aspect 20 --menu "$sellangd" 0 0 0 \
+		"en" "$end" "de" "$ded" "it" "$itd" "hu" "$hud" \
+		2>$langf || exit 1
+	language=`cat $langf`
+	rm $langf
+}				
+
+ask_lang
+. $language.conf
+. setup.$language
+
+### strings
+# greeing section
+welcomebacktitle="$welcome Frugalware $osver $setup"
hunk ./setup 32
-mediabacktitle="$searchmedia - FrugalWare `cat /etc/frugalware-release |cut -d ' ' -f 2` $setup"
+mediabacktitle="$searchmedia - Frugalware $osver $setup"
hunk ./setup 35
-partitioningbacktitle="$partitioning - FrugalWare `cat /etc/frugalware-release |cut -d ' ' -f 2` $setup"
+partitioningbacktitle="$partitioning - Frugalware $osver $setup"
hunk ./setup 39
-setswapbacktitle="$setswap - FrugalWare `cat /etc/frugalware-release |cut -d ' ' -f 2` $setup"
+setswapbacktitle="$setswap - Frugalware $osver $setup"
hunk ./setup 43
-rootdevbacktitle="$rootdevstring - FrugalWare `cat /etc/frugalware-release |cut -d ' ' -f 2` $setup"
+rootdevbacktitle="$rootdevstring - Frugalware $osver $setup"
hunk ./setup 47
-miscdevbacktitle="$miscdevstring - FrugalWare `cat /etc/frugalware-release |cut -d ' ' -f 2` $setup"
+miscdevbacktitle="$miscdevstring - Frugalware $osver $setup"
hunk ./setup 54
-selectcategoriesbacktitle="$categorystring - FrugalWare `cat /etc/frugalware-release |cut -d ' ' -f 2` $setup"
-selectpkgsbacktitle="$pkgstring - FrugalWare `cat /etc/frugalware-release |cut -d ' ' -f 2` $setup"
+selectcategoriesbacktitle="$categorystring - Frugalware $osver $setup"
+selectpkgsbacktitle="$pkgstring - Frugalware $osver $setup"
hunk ./setup 58
-installpkgsbacktitle="$instpkgstring - FrugalWare `cat /etc/frugalware-release |cut -d ' ' -f 2` $setup"
+installpkgsbacktitle="$instpkgstring - Frugalware $osver $setup"
hunk ./setup 61
-confbacktitle="$confstring - FrugalWare `cat /etc/frugalware-release | cut -d ' ' -f 2` $setup"
+confbacktitle="$confstring - Frugalware $osver $setup"
hunk ./setup 64
+# greeing section
+function dolangsh()
+{
+	cat << EOF > /tmp/lang.sh
+#!/bin/sh
+
+# /etc/profile.d/lang.sh
+
+# Set the system locale
+# For a list of locales which are supported by this machine, type: locale -a
+
+export LANG=$LANG
+export LC_ALL=\$LANG
+export CHARSET=$CHARSET
+EOF
+}
+
+function greet()
+{
+	dialog --backtitle "$welcomebacktitle" \
+		--title "$welcome Frugalware $osver" --aspect 20 \
+		--msgbox "$greetstring" 0 0
+}
+
hunk ./setup 577
+# greeting section
+dolangsh # creates /tmp/lang.sh
+greet
hunk ./setup 594
-[ -d $target/etc ] || mkdir $target/etc
+[ -d $target/etc/profile.d ] || mkdir -p $target/etc/profile.d
hunk ./setup 596
+mf -f /tmp/lang.sh $target/etc/profile.d/lang.sh
hunk ./setup.en 3
+# selecting language section - it's NO good translating this section
+sellang="Selecting language"
+sellangt="Please select your language"
+sellangd="Please select your language from the list. If your language is not in the list, you probably should choose English."
+end="English"
+ded="German / Deutsch"
+itd="Italian / Italiano"
+hud="Hungarian / magyar"
+
+# greeting section
+welcome="Welcome to"
+# TODO
+greetstring="Welcome to Frugalware!\n\n \
+Have fun with Frugalware!\n\n \
+Frugalware Team"
+
addfile ./setup.hu
hunk ./setup.hu 1
+# greeting section
+welcome="Üdvözli a"
+greetstring="Köszöntjük a Frugalware felhasználóinak táborában!\n\n \
+A Frugalware létrehozásával munkájának gyorsabbá és egyszerûbbé tétele volt a célunk. Reméljük, hogy kedvelni fogja termékünket! \n\n \
+A Frugalware készítõi\n "
+
+# selecting media section
+searchmedia="A telepítési forrás kiválasztása"
+scanmediat="Keresés"
+scanmediad="A Frugalware telepítõ lemezt tartalmazó CD/DVD meghajtó keresése..."
+mediafoundt="Megtalált CD/DVD meghajtó"
+mediafoundd="Frugalware telepítõ lemez a következõ eszközön:"
+
+# vim: ft=sh
}


More information about the Frugalware-darcs mailing list